Subject: Energy Fair



------------------------------------------------------------------
(693)   Wed 26 Jun 91 18:46                             
By: Don Kulha
To: All

------------------------------------------------------------------
The Great Lakes Renewable Energy Fair will be held July 19, 20 and 
21 at Transverse City Michigan. It will feature demonstrations, 
display booths, workshops, speakers, kid's activities, alternative 
transportation, entertainment, camping, food and tours.
  Contact: Great Lakes Renewable Energy Association (GLREA),11059 
Bright Road, Maple City, Michigan 49664 (616)228-7159

--- ConfMail V3.31
 * Origin: Sonoma Online RFE, Fido V12T/HST/V.32 (707)545-0746 
(1:125/7)
: 125/7